/*
 * $Id: maxmin.cpp 1942 2014-04-28 22:22:45Z johnoel $
 *
 * Author: David Fournier
 * Copyright (c) 2008-2012 Regents of the University of California
 */
/**
 * \file
 * Description not yet available.
 */
#include <fvar.hpp>

/**
 * Description not yet available.
 * \param
 */
double max(const double u, const double v)
{
  return u > v ? u : v;
}

/**
 * Description not yet available.
 * \param
 */
double min(const double u, const double v)
{
  return u < v ? u : v;
}

/**
 * Description not yet available.
 * \param
 */
unsigned long max(unsigned long u, unsigned long v)
{
  return u > v ? u : v;
}

/**
 * Description not yet available.
 * \param
 */
unsigned long min(unsigned long u, unsigned long v)
{
  return u < v ? u : v;
}
